<?php

declare(strict_types=1);

namespace App\Controller\TblDepartamento;

use App\Service\TblDepartamentoService;
use Pimple\Psr11\Container;

abstract class Base
{
    protected Container $container;

    public function __construct(Container $container)
    {
        $this->container = $container;
    }

    protected function getTblDepartamentoService(): TblDepartamentoService
    {
        return $this->container->get('TblDepartamento_service');
    }
}
